package com.ruoyi.xq.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 行政区划对象 area_code
 *
 * @author 77
 * @date 2024-03-19
 */
@Data
@TableName("area_code")
public class AreaCode implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 行政区划代码
     */
    @TableId(value = "code")
    private Integer code;
    /**
     * 名字
     */
    private String name;
    private String firstSpell;
    /**
     * country:国家、province:省份（直辖市会在province和city显示）、city:市（直辖市会在province和city显示）、district:区县
     */
    private String level;
    /**
     * 所属上级行政区划代码
     */
    private Integer pcode;
    /**
     * 所属行政区划名字
     */
    private String pname;
    /**
     * 行政区划完整名字
     */
    private String fullname;
    private Integer enableStatus;
    /**
     * 经度
     */
    private BigDecimal longitude;
    /**
     * 纬度
     */
    private BigDecimal latitude;


    public Integer getCityCode(){
        if("city".equals(this.level)){
            return this.code;
        }
        return pcode;
    }

    public String getCityName(){
        if("city".equals(this.level)){
            return this.name;
        }
        return pname;
    }

}
